<button class="mat-icon-button" [matMenuTriggerFor]="menu" aria-label="Icon-button with a menu">
  <mat-icon>more_vert</mat-icon>
</button>
<mat-menu #menu="matMenu">
  <button mat-menu-item (click)="onEditClicked()" >
    <mat-icon>edit</mat-icon>
    <span>Edit</span>
  </button>
  <button mat-menu-item (click)="onDeleteClicked()" >
    <mat-icon>delete</mat-icon>
    <span>Delete</span>
  </button>
</mat-menu>
